|  | Home |

# QMailFolderFwd Class Reference

The QMailFolderFwd class declares an enumeration used by QMailFolder. More...

        #include <QMailFolderFwd>

This class is under development and is subject to change.

Inherited by QMailFolder.

- List of all members, including inherited members

## Public Types

enum | PredefinedFolderId { LocalStorageFolderId }

## Detailed Description

The QMailFolderFwd class declares an enumeration used by QMailFolder.

QMailFolderFwd allows QMailFolder::PredefinedFolderId to be used without including all of `qmailfolder.h`.

## Member Type Documentation

### enum QMailFolderFwd::PredefinedFolderId

This enum type is used to declare predefined folders.

Constant | Value | Description
--- | --- | ---
`QMailFolderFwd::LocalStorageFolderId` | `1` | Identifier for the folder of messages not related to an external account, e.g. messages in the outbox.